# Description
Allows you to change the distance and offset of the camera's orbit around your character mid-game. Want an over-the-shoulder camera? Now you can!<br />
Great for those cases where you feel that the camera is too close to, or too far from your character.<br />

Also changes the interaction range for characters so it's never less than their collision box's height (can optionally be turned off in the config).

Now with additional features to change dithering fade distances and a configurable default camera orbit that is automatically applied at the start of a run!

# Controls (Configurable)
Hold F10 to reduce the distance (move closer).<br />
Hold F11 to increase the distance (move further).<br />
Press F9 to reset any changes made. Will reset to the character's default camera, or configured default parameters if currently in use.<br />
Use the Arrow Keys to shift the camera around.

# Extra Notes
- The distance is remembered between stages so that you don't have to keep changing it, but will be reset if you start a new run, unless configured correctly in the 'Default Parameters' config section.
- Originally made for personal use, but releasing it to the public in case anyone else stumbles across this and it helps them out (eg. if you are playing the game as an Elder Lemurian or something).
- Also my first mod and I learnt how to mod RoR2 in like, a few days, so this mod is kinda janky?
- ...originally called the 'Camera Zoomer' but that didn't make sense.

Got a question? Hit me up on Discord, username "turtleren"<br />
Enjoy!

## Changelog

**1.3.3**
* Juuust updating the readme so my Discord username is there... since tag numbers are gone.


**1.3.2**

* Fixed main class using old 'CameraZoomer' namespace.
* Added extra safety for null reference exceptions. Hopefully reduces potential console spam.


**1.3.1**

* Fixed missing space in a couple of the configuration descriptoins.
* Slightly tweaked the 'orbit_printparams' readout.
* Modpage description changes.


**1.3.0**

* Reduced some of the mod's logging. This is configurable so you can choose how much logging you want. By default, it's set to only show errors.
* Added a check to prevent moving the camera while the UI is focused.
* Added the 'orbit_printparams' console command. This will print the X Y and Z of your current camera orbit, if you have modified the orbit.
* Added configuration so you can set a default X Y and Z for your camera orbit at the start of every run. No more need to reconfigure your camera manually every run!
* Added configuration options for the near and far distances used by CameraRigController for the dithering effect when characters get too close to the camera. Turn this off in the config if it causes conflicts.
* A few other config string changes. It may break your config, so you should delete your config if it starts playing up.


**1.2.1**

* This should ACTUALLY fix the aggressive console spam on menus when holding buttons.


**1.2.0**

* Oops, readme formatting jank strikes again.
* Also officially moving this mod under a new name: Camera Orbit Adjuster, so that it's more accurate to what the mod actually does.


**1.1.3**

* Updated mod description and readme to be less misleading. This mod doesn't ACTUALLY let you zoom in and out, it simply changes the camera's ideal position relative to the player.
* Added Discord contact to readme. Pls no spam :3
* Fixed console log spam on the main menu and other places when holding buttons where character objects haven't been created yet. The mod will still try to move the camera, but will now put a delay on attempts so it doesn't spam too aggressively.


**1.1.2**

* Attempt 2 at updating the readme, properly this time.


**1.1.1**

* Attempting to update the readme so it's not so broken.


**1.1.0**

* No longer 'My First Mod' and published to Thunderstore! Now with config support!


**1.0.0**

* Wow I can't believe I made a mod for my favourite game.
